=== scripts/plugins/ida/requirements.txt ===
jq=1.8.0
